Subject: Re: [RFC 0/6] Regressions for "imply" behavior change

From: Jani Nikula <[email-masked]>
Date: Thu, 16 Apr 2020 13:17:32 +0300

On Thu, 16 Apr 2020, Arnd Bergmann <[email-masked]> wrote:
> On Thu, Apr 16, 2020 at 5:25 AM Saeed Mahameed <[email-masked]> wrote:
>> BTW how about adding a new Kconfig option to hide the details of
>> ( BAR || !BAR) ? as Jason already explained and suggested, this will
>> make it easier for the users and developers to understand the actual
>> meaning behind this tristate weird condition.
>>
>> e.g have a new keyword:
>>      reach VXLAN
>> which will be equivalent to:
>>      depends on VXLAN && !VXLAN
>
> I'd love to see that, but I'm not sure what keyword is best. For your
> suggestion of "reach", that would probably do the job, but I'm not
> sure if this ends up being more or less confusing than what we have
> today.

Ah, perfect bikeshedding topic!

Perhaps "uses"? If the dependency is enabled it gets used as a
dependency.

Of course, this is all just talk until someone(tm) posts a patch
actually making the change. I've looked at the kconfig tool sources
before; not going to make the same mistake again.

BR,
Jani.

-- 
Jani Nikula, Intel Open Source Graphics Center